### Method

# Gtk TreeViewcollapse_row

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_view_collapse_row (
      GtkTreeView* tree_view,
      GtkTreePath* path
    )

#### Description [src]

Collapses a row (hides its child rows, if they exist).

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  Path to a row in the `tree_view`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the row was collapsed.